#include "colors.inc"
#include "functions.inc"

#version 3.6;

global_settings {
//	assumed_gamma 1
}

#declare viewer_position = <0, 0, 0>;

camera {
#switch (clock)
#case (0)
	location viewer_position
	up y right x		//use 1:1 aspect ratio
	angle degrees(atan(64/63)*2)
	look_at viewer_position+<0, 0, 1>
#break
#case (1)
	location viewer_position
	up y right x		//use 1:1 aspect ratio
	angle degrees(atan(64/63)*2)
	look_at viewer_position+<1, 0, 0>
#break
#case (2)
	location viewer_position
	up y right x		//use 1:1 aspect ratio
	angle degrees(atan(64/63)*2)
	look_at viewer_position+<0, 0, -1>
#break
#case (3)
	location viewer_position
	up y right x		//use 1:1 aspect ratio
	angle degrees(atan(64/63)*2)
	look_at viewer_position+<-1, 0, 0>
#break
#case (4)
	location viewer_position
	up y right x		//use 1:1 aspect ratio
	angle degrees(atan(64/63)*2)
	look_at viewer_position+<0, 1, 0>
#break
#case (5)
	location viewer_position
	up y right x		//use 1:1 aspect ratio
	angle degrees(atan(64/63)*2)
	look_at viewer_position+<0, -1, 0>
#break
#case (6)
	fisheye
	angle 360
	location viewer_position
	up y right x		//use 1:1 aspect ratio
	look_at viewer_position+<0, 1, 0>
	scale -z
#break
#case (7)
	spherical
	angle 360 180
	location viewer_position
	up y right x		//use 1:1 aspect ratio
	look_at viewer_position+<0, 0, -1>
#break
#end
}

sphere {
	<0, 0, 0>, 1
	texture {
		pigment {
			image_map {
				ppm "spheremap.ppm"
				map_type 1
				interpolate 2
			}
			scale <-1,1,1>
		}
		finish {
			ambient 1
			diffuse 0
		}
	}
	hollow
}

